
subtle - Bug #285

subtle fails to compile on OpenBSD

03/21/2012 06:00 AM - Timmy Steve

Status: Fixed Start date: 03/21/2012

Priority: Urgent Due date:  

Assignee: Christoph Kappel % Done: 100%

Category: Bugfix Estimated time: 0.00 hour

Target version: Xi   

Description

@$ rake debug=yes

checking for stdio.h... yes

checking for stdlib.h... yes

checking for stdarg.h... yes

checking for string.h... yes

checking for unistd.h... yes

checking for signal.h... yes

checking for errno.h... yes

checking for assert.h... yes

checking for sys/time.h... yes

checking for sys/types.h... yes

checking for sys/inotify.h... no

checking for wordexp.h... no

checking for execinfo.h... yes

checking for X11/Xlib.h... yes

checking for X11/Xpm.h... yes

checking for X11/Xft/Xft.h... yes

checking for X11/extensions/Xinerama.h... yes

checking for X11/extensions/Xrandr.h... yes

checking for X11/extensions/XTest.h... yes

checking for select()... yes

checking for rb_enc_set_default_internal()... yes

Creating config.yml

creating config.h

subtle 0.10.3193

-----------------

Binaries............: //usr/bin

Configuration.......: /etc/xdg/subtle

Extension...........: //usr/local/lib/ruby/site_ruby/1.9.1/subtle

Xpm support.........: yes

Xft support.........: yes

Xinerama support....: yes

XRandR support......: yes

XTest support.......: yes

Debugging messages..: yes

CC build/subtle/shared.o

CC build/subtle/array.o

CC build/subtle/client.o

CC build/subtle/display.o

CC build/subtle/event.o

CC build/subtle/ewmh.o

CC build/subtle/grab.o

CC build/subtle/gravity.o

CC build/subtle/hook.o

CC build/subtle/panel.o

CC build/subtle/ruby.o

cc1: warnings being treated as errors

src/subtle/ruby.c: In function 'subRubyLoadSublets':

src/subtle/ruby.c:3847: warning: passing argument 3 of 'scandir' from incompatible pointer type
rake aborted!

Compiler failed with status 1

Tasks: TOP => default => build => subtle => build/subtle/ruby.o

(See full trace by running task with --trace)

#w/ --trace

$ rake debug=yes --trace

Invoke default (first_time)

Invoke config (first_time)

Execute config

Invoke build (first_time)

Invoke config

Invoke subtle (first_time)

Invoke config

Invoke build/subtle/shared.o (first_time, not_needed)

Invoke src/shared/shared.c (first_time, not_needed)

Invoke build/subtle/array.o (first_time, not_needed)

Invoke src/subtle/array.c (first_time, not_needed)

Invoke build/subtle/client.o (first_time, not_needed)

Invoke src/subtle/client.c (first_time, not_needed)

Invoke build/subtle/display.o (first_time, not_needed)

Invoke src/subtle/display.c (first_time, not_needed)

Invoke build/subtle/event.o (first_time, not_needed)

Invoke src/subtle/event.c (first_time, not_needed)

Invoke build/subtle/ewmh.o (first_time, not_needed)

Invoke src/subtle/ewmh.c (first_time, not_needed)

Invoke build/subtle/grab.o (first_time, not_needed)

Invoke src/subtle/grab.c (first_time, not_needed)

Invoke build/subtle/gravity.o (first_time, not_needed)

Invoke src/subtle/gravity.c (first_time, not_needed)

Invoke build/subtle/hook.o (first_time, not_needed)

Invoke src/subtle/hook.c (first_time, not_needed)

Invoke build/subtle/panel.o (first_time, not_needed)

Invoke src/subtle/panel.c (first_time, not_needed)

Invoke build/subtle/ruby.o (first_time)

Invoke src/subtle/ruby.c (first_time, not_needed)

Execute build/subtle/ruby.o

gcc -o build/subtle/ruby.o -c -Wall -Werror -Wpointer-arith -Wstrict-prototypes -Wunused -Wshadow -std=gnu99 -g -DDEBUG

-I/usr/X11R6/include -I/usr/X11R6/include -DSUBTLE -I. -Ibuild -Isrc -Isrc/shared -Isrc/subtle

-idirafter/usr/local/include/ruby-1.9.1 -idirafter/usr/local/include/ruby-1.9.1/i386-openbsd -I/usr/X11R6/include

-I/usr/X11R6/include -I/usr/X11R6/include/freetype2 src/subtle/ruby.c

cc1: warnings being treated as errors

src/subtle/ruby.c: In function 'subRubyLoadSublets':

src/subtle/ruby.c:3847: warning: passing argument 3 of 'scandir' from incompatible pointer type

rake aborted!

Compiler failed with status 1

/home/suborbital/subtle/Rakefile:203:in `block in compile'

/home/suborbital/subtle/Rakefile:138:in `call'

/home/suborbital/subtle/Rakefile:138:in `silent_sh'

/home/suborbital/subtle/Rakefile:201:in `compile'

/home/suborbital/subtle/Rakefile:742:in `block (2 levels) in <top (required)>'

/usr/local/lib/ruby/1.9.1/rake/task.rb:205:in `call'

/usr/local/lib/ruby/1.9.1/rake/task.rb:205:in `block in execute'

/usr/local/lib/ruby/1.9.1/rake/task.rb:200:in `each'

/usr/local/lib/ruby/1.9.1/rake/task.rb:200:in `execute'

/usr/local/lib/ruby/1.9.1/rake/task.rb:158:in `block in invoke_with_call_chain'

/usr/local/lib/ruby/1.9.1/monitor.rb:211:in `mon_synchronize'

/usr/local/lib/ruby/1.9.1/rake/task.rb:151:in `invoke_with_call_chain'

/usr/local/lib/ruby/1.9.1/rake/task.rb:176:in `block in invoke_prerequisites'

/usr/local/lib/ruby/1.9.1/rake/task.rb:174:in `each'

/usr/local/lib/ruby/1.9.1/rake/task.rb:174:in `invoke_prerequisites'

/usr/local/lib/ruby/1.9.1/rake/task.rb:157:in `block in invoke_with_call_chain'

/usr/local/lib/ruby/1.9.1/monitor.rb:211:in `mon_synchronize'

/usr/local/lib/ruby/1.9.1/rake/task.rb:151:in `invoke_with_call_chain'

/usr/local/lib/ruby/1.9.1/rake/task.rb:176:in `block in invoke_prerequisites'
/usr/local/lib/ruby/1.9.1/rake/task.rb:174:in `each'

/usr/local/lib/ruby/1.9.1/rake/task.rb:174:in `invoke_prerequisites'

/usr/local/lib/ruby/1.9.1/rake/task.rb:157:in `block in invoke_with_call_chain'

/usr/local/lib/ruby/1.9.1/monitor.rb:211:in `mon_synchronize'

/usr/local/lib/ruby/1.9.1/rake/task.rb:151:in `invoke_with_call_chain'

/usr/local/lib/ruby/1.9.1/rake/task.rb:176:in `block in invoke_prerequisites'

/usr/local/lib/ruby/1.9.1/rake/task.rb:174:in `each'

/usr/local/lib/ruby/1.9.1/rake/task.rb:174:in `invoke_prerequisites'

/usr/local/lib/ruby/1.9.1/rake/task.rb:157:in `block in invoke_with_call_chain'

/usr/local/lib/ruby/1.9.1/monitor.rb:211:in `mon_synchronize'

/usr/local/lib/ruby/1.9.1/rake/task.rb:151:in `invoke_with_call_chain'

/usr/local/lib/ruby/1.9.1/rake/task.rb:144:in `invoke'

/usr/local/lib/ruby/1.9.1/rake/application.rb:116:in `invoke_task'

/usr/local/lib/ruby/1.9.1/rake/application.rb:94:in `block (2 levels) in top_level'

/usr/local/lib/ruby/1.9.1/rake/application.rb:94:in `each'

/usr/local/lib/ruby/1.9.1/rake/application.rb:94:in `block in top_level'

/usr/local/lib/ruby/1.9.1/rake/application.rb:133:in `standard_exception_handling'

/usr/local/lib/ruby/1.9.1/rake/application.rb:88:in `top_level'

/usr/local/lib/ruby/1.9.1/rake/application.rb:66:in `block in run'

/usr/local/lib/ruby/1.9.1/rake/application.rb:133:in `standard_exception_handling'

/usr/local/lib/ruby/1.9.1/rake/application.rb:63:in `run'

/usr/local/bin/rake:32:in `<main>'

Tasks: TOP => default => build => subtle => build/subtle/ruby.o

@

History

#1 - 03/21/2012 02:03 PM - Christoph Kappel

- Target version set to Xi

- Assignee set to Non member users

- Status changed from Unconfirmed to Feedback

- Category set to Bugfix

What is the version of the installed gcc on your OpenBSD machine?

Edit: I cannot install OpenBSD in virtualbox, because I don't have a CPU with VT-x, so there is currently no way for me to even test that..

#2 - 03/21/2012 11:15 PM - Timmy Steve

Christoph Kappel wrote:

What is the version of the installed gcc on your OpenBSD machine?

Edit: I cannot install OpenBSD in virtualbox, because I don't have a CPU with VT-x, so there is currently no way for me to even test that..

 

Here is what is on the machine and what is available:

$ gcc -v

Reading specs from /usr/lib/gcc-lib/i386-unknown-openbsd5.1/4.2.1/specs

Target: i386-unknown-openbsd5.1

Configured with: OpenBSD/i386 system compiler

Thread model: posix

gcc version 4.2.1 20070719

 

#Availiable

$ pkg_info gcc

Information for ftp://ftp.jaist.ac.jp/pub/OpenBSD/snapshots/packages/i386/gcc-3.3.6p1v0.tgz

Comment:

GNU compiler collection: core C compiler
Description:

The GNU Compiler Collection (GCC) includes front ends for C, C++,

Objective-C, Fortran, Java, and Ada, as well as libraries for these

languages (libstdc++, libgcj,...).

GCC development is a part of the GNU Project and uses an open

development environment. Its supports many other platforms in order to

foster a world-class optimizing compiler, to attract a larger team of

developers, to ensure that GCC and the GNU system work on multiple

architectures and diverse environments, and to more thoroughly test and

extend the features of GCC.

This package contains the core C compiler.

Maintainer: Marc Espie <espie@openbsd.org>

WWW: http://gcc.gnu.org/

Information for ftp://ftp.jaist.ac.jp/pub/OpenBSD/snapshots/packages/i386/gcc-4.2.4p7v0.tgz

Comment:

GNU compiler collection: core C compiler

Description:

The GNU Compiler Collection (GCC) includes front ends for C, C++,

Objective-C, Fortran, Java, and Ada, as well as libraries for these

languages (libstdc++, libgcj,...).

GCC development is a part of the GNU Project and uses an open

development environment. Its supports many other platforms in order to

foster a world-class optimizing compiler, to attract a larger team of

developers, to ensure that GCC and the GNU system work on multiple

architectures and diverse environments, and to more thoroughly test and

extend the features of GCC.

This package contains the core C compiler.

Maintainer: Marc Espie <espie@openbsd.org>

WWW: http://gcc.gnu.org/

Information for ftp://ftp.jaist.ac.jp/pub/OpenBSD/snapshots/packages/i386/gcc-4.6.2p1.tgz

Comment:

GNU compiler collection: core C compiler

Description:

The GNU Compiler Collection (GCC) includes front ends for C, C++,

Objective-C, Fortran, Java, and Ada, as well as libraries for these

languages (libstdc++, libgcj,...).

GCC development is a part of the GNU Project and uses an open

development environment. Its supports many other platforms in order to

foster a world-class optimizing compiler, to attract a larger team of

developers, to ensure that GCC and the GNU system work on multiple

architectures and diverse environments, and to more thoroughly test and

extend the features of GCC.

This package contains the core C compiler.

Maintainer: The OpenBSD ports mailing-list <ports@openbsd.org>

WWW: http://gcc.gnu.org/

What version should I install?
#3 - 03/22/2012 04:19 PM - Christoph Kappel

- % Done changed from 0 to 100

- Status changed from Feedback to Fixed

Applied in changeset 60af832fd27d.
